Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class DominoKey

    java.lang.Object
      |
      +--com.compoze.collab.Key
            |
            +--com.compoze.collab.domino.DominoKey

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class DominoKey
extends Key

This class contains Domino provider keys. Typically, Domino properties should not be accessed using these keys but with the keys in the item classes themselves. This class contains keys that if not used correctly could leave Domino documents in an inconsistent or corrupt state as seen by the Notes client.

See Also:
  Serialized Form

Field Summary
`static DominoKey` | `ADDRESS_BOOK_FILE` Key that represents the property 'address book file'.
`static DominoKey` | `ADDRESS_BOOK_PORT` Key that represents the property 'address book port'.
`static DominoKey` | `ADDRESS_BOOK_SERVER` Key that represents the property 'address book server'.
`static DominoKey` | `ADDRESS_BOOK_TITLE` Key that represents the property 'address book title'.
`static DominoKey` | `ADJUSTED_SUBJECT` Key that represents the property 'cz adjusted subject'.
`static DominoKey` | `ALARMS` Key that represents the property 'alarms'.
`static DominoKey` | `ALL_DAY_EVENT` Key that represents the dummy property 'all day event'.
`static DominoKey` | `ALT_CHAIR` Key that represents the property 'chair'.
`static DominoKey` | `ALT_DELEGEE_NAME` Key that represents the property 'alt delegee name'.
`static DominoKey` | `ALT_FROM` Key that represents the property 'alt from'.
`static DominoKey` | `ALT_PRINCIPAL` Key that represents the property 'alternate principal'.
`static DominoKey` | `APPOINTMENT_ID` Key that represents the property 'AppointmentID'.
`static DominoKey` | `APPOINTMENT_TYPE` Key that represents the property 'appointment type'.
`static DominoKey` | `ASSIGN_STATE` Key that represents the property 'assign state'.
`static DominoKey` | `ASSIGNED_TO` Key that represents the property 'assigned to'.
`static DominoKey` | `ASSISTANT` Key that represents the property 'assistant'.
`static DominoKey` | `ATTACHMENT_COUNT` Key that represents the property 'attachment count'.
`static DominoKey` | `ATTACHMENT_INFO` Key that represents the property 'attachment info'.
`static DominoKey` | `BIRTHDAY` Key that represents the property 'birthday'.
`static DominoKey` | `BLIND_COPY_TO` Key that represents the property 'blind copy to'.
`static DominoKey` | `BODY` Key that represents the property 'body'.
`static DominoKey` | `BODY_HTML` Key that represents the property 'body html'.
`static DominoKey` | `BODY_STORED_FORM` Key that represents the property 'body stored form'.
`static DominoKey` | `BOOK_FREE_TIME` Key that represents the property 'book free time'.
`static DominoKey` | `BROADCAST` Key that represents the property 'broadcast'.
`static DominoKey` | `BUSY_NAME` Key that represents the property 'busy name'.
`static DominoKey` | `BUSY_PRIORITY` Key that represents the property 'busy priority'.
`static DominoKey` | `CALENDAR_DATE_TIME` Key that represents the property 'calendar date time'.
`static DominoKey` | `CELL_PHONE_NUMBER` Key that represents the property 'cell phone number'.
`static DominoKey` | `CHAIR` Key that represents the property 'chair'.
`static DominoKey` | `CHILDREN` Key that represents the property 'children'.
`static DominoKey` | `COMMENT` Key that represents the property 'comment'.
`static DominoKey` | `COMPANY_NAME` Key that represents the property 'company name'.
`static DominoKey` | `COMPLETED_DATE_TIME` Key that represents the property 'completed date time'.
`static DominoKey` | `COMPOSED_DATE` Key that represents the property 'composed date'.
`static DominoKey` | `COPY_TO` Key that represents the property 'copy to'.
`static DominoKey` | `CS_VERSION` Key that represents the property 'cs version'.
`static DominoKey` | `CZ_BODY_HTML` Key that represents the property Compoze 'body html' (for setting).
`static DominoKey` | `DATE_CREATED` Key that represents the property 'date created'.
`static DominoKey` | `DATE_MODIFIED` Key that represents the property 'date modified'.
`static DominoKey` | `DELEGEE` Key that represents the property 'delegee'.
`static DominoKey` | `DELIVERED_DATE` Key that represents the property 'delivered date'.
`static DominoKey` | `DELIVERY_DATE` Key that represents the property 'delivery date'.
`static DominoKey` | `DELIVERY_PRIORITY` Key that represents the property 'delivery priority'.
`static DominoKey` | `DELIVERY_REPORT` Key that represents the property 'delivery report'.
`static DominoKey` | `DEPARTMENT` Key that represents the property 'department'.
`static DominoKey` | `DISPLAY_FROM` Key that represents the property 'from'.
`static DominoKey` | `DISPLAY_NAME` Key that represents the dummy property 'display name'.
`static DominoKey` | `DOCUMENT_ID` Key that represents the property 'document id'.
`static DominoKey` | `DOCUMENT_TYPE` Key that represents the property 'document type'.
`static DominoKey` | `DUE_DATE` Key that represents the property 'due date'.
`static DominoKey` | `DUE_DATE_STR` Key that represents the property 'due date'.
`static DominoKey` | `DUE_DATE_TIME` Key that represents the property 'due date time'.
`static DominoKey` | `DUE_STATE` Key that represents the property 'due state'.
`static DominoKey` | `DURATION` Key that represents the dummy property 'duration'.
`static DominoKey` | `EMAIL_ADDRESS` Key that represents the property 'email address'.
`static DominoKey` | `EMBEDDED_IMAGE_COUNT` Key that represents the property 'embedded image count'.
`static DominoKey` | `EMBEDDED_IMAGE_INFO` Key that represents the property 'attachment info'.
`static DominoKey` | `EMPLOYEE_ID` Key that represents the property 'employee ID'.
`static DominoKey` | `ENCRYPT` Key that represents the property 'encrypt'.
`static DominoKey` | `END_DATE` Key that represents the property 'end date'.
`static DominoKey` | `END_DATE_TIME` Key that represents the property 'end date time'.
`static DominoKey` | `END_TIME` Key that represents the property 'end time'.
`static DominoKey` | `END_TIME_ZONE` Key that represents the property 'end time zone'.
`static DominoKey` | `EXCLUDE_FROM_VIEW` Key that represents the property 'exclude from view'.
`static DominoKey` | `EXPAND_GROUPS` Key that represents the property 'expand groups'.
`static DominoKey` | `FAILURE_REASON` Key that represents the property 'failure reason'.
`static DominoKey` | `FIRST_NAME` Key that represents the property 'first name'.
`static DominoKey` | `FLAG` Key that represents the property 'flag'.
`static DominoKey` | `FLAG_TEXT` Key that represents the property 'flag'.
`static DominoKey` | `FOLDER_ABSOLUTE_NAME` Key that represents the property 'folder absolute name'.
`static DominoKey` | `FOLDER_DEPTH` Key that represents the property 'folder depth'.
`static DominoKey` | `FOLDER_HAS_SUBFOLDERS` Key that represents the property 'has sub-folders'.
`static DominoKey` | `FOLDER_ID` Key that represents the property 'folder id'.
`static DominoKey` | `FOLDER_MEMO_COUNT` Key that represents the property 'memo count'.
`static DominoKey` | `FOLDER_MEMO_UNREAD_COUNT` Key that represents the property 'unread memo count'.
`static DominoKey` | `FOLDER_NAME` Key that represents the property 'folder name'.
`static DominoKey` | `FOLDER_SUBFOLDER_COUNT` Key that represents the property 'folder sub-folder count'.
`static DominoKey` | `FOLDER_TYPE` Key that represents the property 'folder type'.
`static DominoKey` | `FOLDER_VIEW_NAME` Key that represents the property 'folder view name'.
`static DominoKey` | `FOLLOW_UP_DATE` Key that represents the property 'follow up date and time'.
`static DominoKey` | `FOLLOW_UP_STATUS` Key that represents the property 'follow up status'.
`static DominoKey` | `FOLLOW_UP_TEXT` Key that represents the property 'follow up text'.
`static DominoKey` | `FOOTER` Key that represents the property 'footer'.
`static DominoKey` | `FOOTER_HTML` Key that represents the property 'footer html'.
`static DominoKey` | `FROM` Key that represents the property 'from'.
`static DominoKey` | `FULL_NAME` Key that represents the property 'full name'.
`static DominoKey` | `HAS_ATTACHMENT` Key that represents the property 'has attachment'.
`static DominoKey` | `HEADER` Key that represents the property 'header'.
`static DominoKey` | `HEADER_HTML` Key that represents the property 'header html'.
`static DominoKey` | `HOME_ADDRESS` Key that represents the property 'home address'.
`static DominoKey` | `HOME_CITY` Key that represents the property 'home city'.
`static DominoKey` | `HOME_COUNTRY` Key that represents the property 'home country'.
`static DominoKey` | `HOME_FAX_PHONE_NUMBER` Key that represents the property 'home fax phone number'.
`static DominoKey` | `HOME_PHONE_NUMBER` Key that represents the property 'home phone number'.
`static DominoKey` | `HOME_STATE` Key that represents the property 'home state'.
`static DominoKey` | `HOME_STREET_ADDRESS` Key that represents the property 'home street address'.
`static DominoKey` | `HOME_ZIP` Key that represents the property 'home zip'.
`static DominoKey` | `IMPORTANCE` Key that represents the property 'importance'.
`static DominoKey` | `INSTANCE_TYPE` Key that represents the property 'instance type'.
`static DominoKey` | `INTENDED_RECIPIENT` Key that represents the property 'intended recipient'.
`static DominoKey` | `INTERNET_ADDRESS` Key that represents the property 'internet address'.
`static DominoKey` | `JOB_TITLE` Key that represents the property 'job title'.
`static DominoKey` | `KEEP_POSTED` Key that represents the property 'keep posted'.
`static int` | `KEY_DOCUMENT`
`static int` | `KEY_FOLDER`
`static DominoKey` | `LAST_NAME` Key that represents the property 'last name'.
`static DominoKey` | `LOCATION` Key that represents the property 'location'.
`static DominoKey` | `LOGO` Key that represents the property 'logo'.
`static DominoKey` | `MANAGER` Key that represents the property 'manager'.
`static DominoKey` | `MARK_PRIVATE` Key that represents the property 'mark private'.
`static DominoKey` | `MEMO_DATE` Key that represents the property 'memo date'.
`static DominoKey` | `MIDDLE_INITIAL` Key that represents the property 'middle initial'.
`static DominoKey` | `NEW_DUE_DATE` Key that represents the property 'new date'.
`static DominoKey` | `NEW_END_DATE` Key that represents the property 'new end date'.
`static DominoKey` | `NEW_END_TIME` Key that represents the property 'new end time'.
`static DominoKey` | `NEW_START_DATE` Key that represents the property 'new start date'.
`static DominoKey` | `NEW_START_TIME` Key that represents the property 'new start time'.
`static DominoKey` | `NORMALIZED_SUBJECT` Key that represents the property 'subject'.
`static DominoKey` | `NOTICE_TYPE` Key that represents the property 'notice type'.
`static DominoKey` | `OFFICE_ADDRESS` Key that represents the property 'office address'.
`static DominoKey` | `OFFICE_CITY` Key that represents the property 'office city'.
`static DominoKey` | `OFFICE_COUNTRY` Key that represents the property 'office country'.
`static DominoKey` | `OFFICE_FAX_PHONE_NUMBER` Key that represents the property 'office fax phone number'.
`static DominoKey` | `OFFICE_NUMBER` Key that represents the property 'office number'.
`static DominoKey` | `OFFICE_PHONE_NUMBER` Key that represents the property 'office phone number'.
`static DominoKey` | `OFFICE_STATE` Key that represents the property 'office state'.
`static DominoKey` | `OFFICE_STREET_ADDRESS` Key that represents the property 'office street address'.
`static DominoKey` | `OFFICE_ZIP` Key that represents the property 'office zip'.
`static DominoKey` | `ORG_REPEAT` Key that represents the property 'org repeat'.
`static DominoKey` | `ORG_TABLE` Key that represents the property 'mark private'.
`static DominoKey` | `ORIGINAL_SUBJECT` Key that represents the property 'original subject'.
`static DominoKey` | `PAGER` Key that represents the property 'pager'.
`static DominoKey` | `PARENT_DOCUMENT_ID` Key that represents the property 'parent document id'.
`static DominoKey` | `PARENT_FOLDER_ID` Key that represents the property 'parent folder id'.
`static DominoKey` | `PHONE_LABEL_1` Key that represents the property 'phone label 1'.
`static DominoKey` | `PHONE_LABEL_2` Key that represents the property 'phone label 2'.
`static DominoKey` | `PHONE_LABEL_3` Key that represents the property 'phone label 3'.
`static DominoKey` | `PHONE_LABEL_4` Key that represents the property 'phone label 4'.
`static DominoKey` | `PHONE_LABEL_5` Key that represents the property 'phone label 5'.
`static DominoKey` | `PHONE_LABEL_6` Key that represents the property 'phone label 6'.
`static DominoKey` | `PHONETIC_NAME` Key that represents the property 'phonetic name'.
`static DominoKey` | `POSTED_DATE` Key that represents the property 'posted date'.
`static java.lang.String` | `PREFIX`
`static DominoKey` | `PREVENT_COUNTER` Key that represents the property 'prevent counter'.
`static DominoKey` | `PREVENT_DELEGATE` Key that represents the property 'prevent delegate'.
`static DominoKey` | `PRINCIPAL` Key that represents the property 'principal'.
`static DominoKey` | `PUBLIC_ACCESS` Key that represents the property 'public access'.
`static DominoKey` | `RECIPIENT_INFO` Key that represents the property 'recipient info'.
`static DominoKey` | `REPEAT_ADJUST` Key that represents the property 'repeat adjust'.
`static DominoKey` | `REPEAT_CUSTOM` Key that represents the property 'repeat custom'.
`static DominoKey` | `REPEAT_DATES` Key that represents the property 'repeat dates'.
`static DominoKey` | `REPEAT_FOR` Key that represents the property 'repeat for'.
`static DominoKey` | `REPEAT_FOR_UNIT` Key that represents the property 'repeat for unit'.
`static DominoKey` | `REPEAT_HOW` Key that represents the property 'repeat how'.
`static DominoKey` | `REPEAT_INSTANCE_DATES` Key that represents the property 'repeat instance dates'.
`static DominoKey` | `REPEAT_INTERVAL` Key that represents the property 'repeat interval'.
`static DominoKey` | `REPEAT_UNIT` Key that represents the property 'repeat unit'.
`static DominoKey` | `REPEAT_UNTIL` Key that represents the property 'repeat until'.
`static DominoKey` | `REPEAT_WEEKENDS` Key that represents the property 'repeat weekends'.
`static DominoKey` | `REPEATS` Key that represents the property 'repeats'.
`static DominoKey` | `RETURN_RECEIPT` Key that represents the property 'return receipt'.
`static DominoKey` | `ROUTE_SERVERS` Key that represents the property 'route servers'.
`static DominoKey` | `ROUTE_TIMES` Key that represents the property 'route times'.
`static DominoKey` | `SEND_TO` Key that represents the property 'send to'.
`static DominoKey` | `SENDER_INFO` Key that represents the property 'sender info'.
`static DominoKey` | `SENDER_NAME` Key that represents the property 'sender name'.
`static DominoKey` | `SEQUENCE_NUM` Key that represents the property 'sequence number'.
`static DominoKey` | `SHORT_NAME` Key that represents the property 'short name'.
`static DominoKey` | `SIZE` Key that represents the property 'size'.
`static DominoKey` | `SPOUSE` Key that represents the property 'spouse'.
`static DominoKey` | `START_DATE` Key that represents the property 'start date'.
`static DominoKey` | `START_DATE_STR` Key that represents the property 'start date'.
`static DominoKey` | `START_DATE_TIME` Key that represents the property 'start date time'.
`static DominoKey` | `START_TIME` Key that represents the property 'start time'.
`static DominoKey` | `START_TIME_ZONE` Key that represents the property 'start time zone'.
`static DominoKey` | `STATUS_UPDATE` Key that represents the property 'status update'.
`static DominoKey` | `SUBJECT` Key that represents the property 'subject'.
`static DominoKey` | `SUBJECT_PREFIX` Key that represents the property 'subject'.
`static DominoKey` | `SUFFIX` Key that represents the property 'suffix'.
`static DominoKey` | `TASK_TYPE` Key that represents the property 'task type'.
`static DominoKey` | `TITLE` Key that represents the property 'title'.
`static DominoKey` | `TOPIC` Key that represents the property 'topic'.
`static DominoKey` | `UNREAD` Key that represents the property 'unread'.
`static DominoKey` | `VIEW_ICON` Key that represents the property 'view icon'.
`static DominoKey` | `VIEW_ICON2` Key that represents the property 'view icon2'.
`static DominoKey` | `WEB_SITE` Key that represents the property 'web site'.

Fields inherited from class com.compoze.collab.Key
`BASE_TYPE_MASK, EMPTY_KEY_ARRAY, EMPTY_STRING, s_keyMap, VALUE_ARRAY, VALUE_BINARY, VALUE_BOOLEAN, VALUE_DATE, VALUE_DOUBLE, VALUE_ENUMELEMENT, VALUE_FLOAT, VALUE_INTEGER, VALUE_ITEM, VALUE_LONG, VALUE_SERIALIZABLE, VALUE_SHORT, VALUE_STRING, VALUE_UNKNOWN`

Constructor Summary
`DominoKey(java.lang.String sKey, int iValueType, int iKeyType)` Constructor.
`DominoKey(java.lang.String sKey, int iValueType, int iKeyType, boolean bIsComposite)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Equals.
`java.lang.String` | `getKey()` Gets the key of the property.
`int` | `getKeyType()` Gets the type of a key for the property.
`int` | `getValueType()` Gets the type of a value for the property.
`int` | `hashCode()` Gets a hash code for the key.
`boolean` | `isArray()` Checks if the value type of the property is an array.
`boolean` | `isComposite()` Checks if the value is stored as a composite value in Domino (affects how we can use the property in the provider implementation).
`void` | `setKey(java.lang.String sKey)` Sets the key of the property.

Methods inherited from class com.compoze.collab.Key
`combine, get, getID, getIntID, getValueTypeName, isCalculated, isReadOnly, staticValueTypeName, toString, updateDigest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PREFIX

    public static java.lang.String PREFIX

### KEY_FOLDER

    public static final int KEY_FOLDER

### KEY_DOCUMENT

    public static final int KEY_DOCUMENT

### FOLDER_MEMO_COUNT

    public static final DominoKey FOLDER_MEMO_COUNT

  Key that represents the property 'memo count'.

### FOLDER_MEMO_UNREAD_COUNT

    public static final DominoKey FOLDER_MEMO_UNREAD_COUNT

  Key that represents the property 'unread memo count'.

### FOLDER_NAME

    public static final DominoKey FOLDER_NAME

  Key that represents the property 'folder name'.

### FOLDER_HAS_SUBFOLDERS

    public static final DominoKey FOLDER_HAS_SUBFOLDERS

  Key that represents the property 'has sub-folders'.

### FOLDER_ID

    public static final DominoKey FOLDER_ID

  Key that represents the property 'folder id'.

### FOLDER_ABSOLUTE_NAME

    public static final DominoKey FOLDER_ABSOLUTE_NAME

  Key that represents the property 'folder absolute name'.

### FOLDER_DEPTH

    public static final DominoKey FOLDER_DEPTH

  Key that represents the property 'folder depth'.

### FOLDER_VIEW_NAME

    public static final DominoKey FOLDER_VIEW_NAME

  Key that represents the property 'folder view name'.

### FOLDER_SUBFOLDER_COUNT

    public static final DominoKey FOLDER_SUBFOLDER_COUNT

  Key that represents the property 'folder sub-folder count'.

### FOLDER_TYPE

    public static final DominoKey FOLDER_TYPE

  Key that represents the property 'folder type'.

### FOLLOW_UP_STATUS

    public static final DominoKey FOLLOW_UP_STATUS

  Key that represents the property 'follow up status'.

### FOLLOW_UP_TEXT

    public static final DominoKey FOLLOW_UP_TEXT

  Key that represents the property 'follow up text'.

### FOLLOW_UP_DATE

    public static final DominoKey FOLLOW_UP_DATE

  Key that represents the property 'follow up date and time'.

### PHONETIC_NAME

    public static final DominoKey PHONETIC_NAME

  Key that represents the property 'phonetic name'.

### NOTICE_TYPE

    public static final DominoKey NOTICE_TYPE

  Key that represents the property 'notice type'.

### ASSISTANT

    public static final DominoKey ASSISTANT

  Key that represents the property 'assistant'.

### BIRTHDAY

    public static final DominoKey BIRTHDAY

  Key that represents the property 'birthday'.

### BOOK_FREE_TIME

    public static final DominoKey BOOK_FREE_TIME

  Key that represents the property 'book free time'.

### MARK_PRIVATE

    public static final DominoKey MARK_PRIVATE

  Key that represents the property 'mark private'.

### ORG_TABLE

    public static final DominoKey ORG_TABLE

  Key that represents the property 'mark private'.

### NEW_START_DATE

    public static final DominoKey NEW_START_DATE

  Key that represents the property 'new start date'.

### UNREAD

    public static final DominoKey UNREAD

  Key that represents the property 'unread'.

### FLAG

    public static final DominoKey FLAG

  Key that represents the property 'flag'.

### FLAG_TEXT

    public static final DominoKey FLAG_TEXT

  Key that represents the property 'flag'.

### CALENDAR_DATE_TIME

    public static final DominoKey CALENDAR_DATE_TIME

  Key that represents the property 'calendar date time'.

### START_DATE

    public static final DominoKey START_DATE

  Key that represents the property 'start date'.

### START_TIME

    public static final DominoKey START_TIME

  Key that represents the property 'start time'.

### APPOINTMENT_TYPE

    public static final DominoKey APPOINTMENT_TYPE

  Key that represents the property 'appointment type'.

### ALL_DAY_EVENT

    public static final DominoKey ALL_DAY_EVENT

  Key that represents the dummy property 'all day event'.

### DURATION

    public static final DominoKey DURATION

  Key that represents the dummy property 'duration'.

### APPOINTMENT_ID

    public static final DominoKey APPOINTMENT_ID

  Key that represents the property 'AppointmentID'.

### DUE_DATE

    public static final DominoKey DUE_DATE

  Key that represents the property 'due date'.

### DUE_DATE_STR

    public static final DominoKey DUE_DATE_STR

  Key that represents the property 'due date'.

### START_TIME_ZONE

    public static final DominoKey START_TIME_ZONE

  Key that represents the property 'start time zone'.

### END_TIME_ZONE

    public static final DominoKey END_TIME_ZONE

  Key that represents the property 'end time zone'.

### START_DATE_STR

    public static final DominoKey START_DATE_STR

  Key that represents the property 'start date'.

### DUE_DATE_TIME

    public static final DominoKey DUE_DATE_TIME

  Key that represents the property 'due date time'.

### COMPLETED_DATE_TIME

    public static final DominoKey COMPLETED_DATE_TIME

  Key that represents the property 'completed date time'.

### DUE_STATE

    public static final DominoKey DUE_STATE

  Key that represents the property 'due state'.

### ASSIGNED_TO

    public static final DominoKey ASSIGNED_TO

  Key that represents the property 'assigned to'.

### ASSIGN_STATE

    public static final DominoKey ASSIGN_STATE

  Key that represents the property 'assign state'.

### NEW_DUE_DATE

    public static final DominoKey NEW_DUE_DATE

  Key that represents the property 'new date'.

### ENCRYPT

    public static final DominoKey ENCRYPT

  Key that represents the property 'encrypt'.

### NEW_START_TIME

    public static final DominoKey NEW_START_TIME

  Key that represents the property 'new start time'.

### TASK_TYPE

    public static final DominoKey TASK_TYPE

  Key that represents the property 'task type'.

### NEW_END_DATE

    public static final DominoKey NEW_END_DATE

  Key that represents the property 'new end date'.

### NEW_END_TIME

    public static final DominoKey NEW_END_TIME

  Key that represents the property 'new end time'.

### START_DATE_TIME

    public static final DominoKey START_DATE_TIME

  Key that represents the property 'start date time'.

### VIEW_ICON2

    public static final DominoKey VIEW_ICON2

  Key that represents the property 'view icon2'.

### VIEW_ICON

    public static final DominoKey VIEW_ICON

  Key that represents the property 'view icon'.

### END_DATE_TIME

    public static final DominoKey END_DATE_TIME

  Key that represents the property 'end date time'.

### END_DATE

    public static final DominoKey END_DATE

  Key that represents the property 'end date'.

### END_TIME

    public static final DominoKey END_TIME

  Key that represents the property 'end time'.

### CHAIR

    public static final DominoKey CHAIR

  Key that represents the property 'chair'.

### ALT_CHAIR

    public static final DominoKey ALT_CHAIR

  Key that represents the property 'chair'.

### REPEAT_HOW

    public static final DominoKey REPEAT_HOW

  Key that represents the property 'repeat how'.

### REPEAT_CUSTOM

    public static final DominoKey REPEAT_CUSTOM

  Key that represents the property 'repeat custom'.

### REPEAT_INSTANCE_DATES

    public static final DominoKey REPEAT_INSTANCE_DATES

  Key that represents the property 'repeat instance dates'.

### REPEAT_FOR

    public static final DominoKey REPEAT_FOR

  Key that represents the property 'repeat for'.

### REPEAT_FOR_UNIT

    public static final DominoKey REPEAT_FOR_UNIT

  Key that represents the property 'repeat for unit'.

### REPEAT_WEEKENDS

    public static final DominoKey REPEAT_WEEKENDS

  Key that represents the property 'repeat weekends'.

### REPEAT_DATES

    public static final DominoKey REPEAT_DATES

  Key that represents the property 'repeat dates'.

### REPEAT_UNTIL

    public static final DominoKey REPEAT_UNTIL

  Key that represents the property 'repeat until'.

### REPEAT_INTERVAL

    public static final DominoKey REPEAT_INTERVAL

  Key that represents the property 'repeat interval'.

### REPEAT_UNIT

    public static final DominoKey REPEAT_UNIT

  Key that represents the property 'repeat unit'.

### REPEAT_ADJUST

    public static final DominoKey REPEAT_ADJUST

  Key that represents the property 'repeat adjust'.

### DISPLAY_NAME

    public static final DominoKey DISPLAY_NAME

  Key that represents the dummy property 'display name'.

### PRINCIPAL

    public static final DominoKey PRINCIPAL

  Key that represents the property 'principal'.

### ALT_PRINCIPAL

    public static final DominoKey ALT_PRINCIPAL

  Key that represents the property 'alternate principal'.

### DATE_CREATED

    public static final DominoKey DATE_CREATED

  Key that represents the property 'date created'.

### SIZE

    public static final DominoKey SIZE

  Key that represents the property 'size'.

### DATE_MODIFIED

    public static final DominoKey DATE_MODIFIED

  Key that represents the property 'date modified'.

### ROUTE_SERVERS

    public static final DominoKey ROUTE_SERVERS

  Key that represents the property 'route servers'.

### ROUTE_TIMES

    public static final DominoKey ROUTE_TIMES

  Key that represents the property 'route times'.

### OFFICE_PHONE_NUMBER

    public static final DominoKey OFFICE_PHONE_NUMBER

  Key that represents the property 'office phone number'.
  See Also:
    `PHONE_LABEL_1`

### PHONE_LABEL_1

    public static final DominoKey PHONE_LABEL_1

  Key that represents the property 'phone label 1'.

### HOME_PHONE_NUMBER

    public static final DominoKey HOME_PHONE_NUMBER

  Key that represents the property 'home phone number'.
  See Also:
    `PHONE_LABEL_2`

### PHONE_LABEL_2

    public static final DominoKey PHONE_LABEL_2

  Key that represents the property 'phone label 2'.

### OFFICE_FAX_PHONE_NUMBER

    public static final DominoKey OFFICE_FAX_PHONE_NUMBER

  Key that represents the property 'office fax phone number'.
  See Also:
    `PHONE_LABEL_3`

### PHONE_LABEL_3

    public static final DominoKey PHONE_LABEL_3

  Key that represents the property 'phone label 3'.

### HOME_FAX_PHONE_NUMBER

    public static final DominoKey HOME_FAX_PHONE_NUMBER

  Key that represents the property 'home fax phone number'.
  See Also:
    `PHONE_LABEL_4`

### PHONE_LABEL_4

    public static final DominoKey PHONE_LABEL_4

  Key that represents the property 'phone label 4'.

### CELL_PHONE_NUMBER

    public static final DominoKey CELL_PHONE_NUMBER

  Key that represents the property 'cell phone number'.
  See Also:
    `PHONE_LABEL_5`

### PHONE_LABEL_5

    public static final DominoKey PHONE_LABEL_5

  Key that represents the property 'phone label 5'.

### PAGER

    public static final DominoKey PAGER

  Key that represents the property 'pager'.
  See Also:
    `PHONE_LABEL_6`

### PHONE_LABEL_6

    public static final DominoKey PHONE_LABEL_6

  Key that represents the property 'phone label 6'.

### COMPANY_NAME

    public static final DominoKey COMPANY_NAME

  Key that represents the property 'company name'.

### COMMENT

    public static final DominoKey COMMENT

  Key that represents the property 'comment'.

### CHILDREN

    public static final DominoKey CHILDREN

  Key that represents the property 'children'.

### DEPARTMENT

    public static final DominoKey DEPARTMENT

  Key that represents the property 'department'.

### FULL_NAME

    public static final DominoKey FULL_NAME

  Key that represents the property 'full name'.

### MANAGER

    public static final DominoKey MANAGER

  Key that represents the property 'manager'.

### JOB_TITLE

    public static final DominoKey JOB_TITLE

  Key that represents the property 'job title'.

### LOCATION

    public static final DominoKey LOCATION

  Key that represents the property 'location'.

### FROM

    public static final DominoKey FROM

  Key that represents the property 'from'.

### DISPLAY_FROM

    public static final DominoKey DISPLAY_FROM

  Key that represents the property 'from'.

### EXCLUDE_FROM_VIEW

    public static final DominoKey EXCLUDE_FROM_VIEW

  Key that represents the property 'exclude from view'.

### INSTANCE_TYPE

    public static final DominoKey INSTANCE_TYPE

  Key that represents the property 'instance type'.

### SPOUSE

    public static final DominoKey SPOUSE

  Key that represents the property 'spouse'.

### FIRST_NAME

    public static final DominoKey FIRST_NAME

  Key that represents the property 'first name'.

### LAST_NAME

    public static final DominoKey LAST_NAME

  Key that represents the property 'last name'.

### MIDDLE_INITIAL

    public static final DominoKey MIDDLE_INITIAL

  Key that represents the property 'middle initial'.

### SHORT_NAME

    public static final DominoKey SHORT_NAME

  Key that represents the property 'short name'.

### SENDER_NAME

    public static final DominoKey SENDER_NAME

  Key that represents the property 'sender name'.

### SENDER_INFO

    public static final DominoKey SENDER_INFO

  Key that represents the property 'sender info'.

### SUFFIX

    public static final DominoKey SUFFIX

  Key that represents the property 'suffix'.

### TITLE

    public static final DominoKey TITLE

  Key that represents the property 'title'.

### WEB_SITE

    public static final DominoKey WEB_SITE

  Key that represents the property 'web site'.

### OFFICE_COUNTRY

    public static final DominoKey OFFICE_COUNTRY

  Key that represents the property 'office country'.

### HOME_COUNTRY

    public static final DominoKey HOME_COUNTRY

  Key that represents the property 'home country'.

### OFFICE_ZIP

    public static final DominoKey OFFICE_ZIP

  Key that represents the property 'office zip'.

### HOME_ADDRESS

    public static final DominoKey HOME_ADDRESS

  Key that represents the property 'home address'.

### HOME_STREET_ADDRESS

    public static final DominoKey HOME_STREET_ADDRESS

  Key that represents the property 'home street address'.

### HOME_CITY

    public static final DominoKey HOME_CITY

  Key that represents the property 'home city'.

### HOME_STATE

    public static final DominoKey HOME_STATE

  Key that represents the property 'home state'.

### HOME_ZIP

    public static final DominoKey HOME_ZIP

  Key that represents the property 'home zip'.

### OFFICE_ADDRESS

    public static final DominoKey OFFICE_ADDRESS

  Key that represents the property 'office address'.

### OFFICE_STREET_ADDRESS

    public static final DominoKey OFFICE_STREET_ADDRESS

  Key that represents the property 'office street address'.

### OFFICE_CITY

    public static final DominoKey OFFICE_CITY

  Key that represents the property 'office city'.

### OFFICE_STATE

    public static final DominoKey OFFICE_STATE

  Key that represents the property 'office state'.

### INTERNET_ADDRESS

    public static final DominoKey INTERNET_ADDRESS

  Key that represents the property 'internet address'.

### EMAIL_ADDRESS

    public static final DominoKey EMAIL_ADDRESS

  Key that represents the property 'email address'.

### ADDRESS_BOOK_PORT

    public static final DominoKey ADDRESS_BOOK_PORT

  Key that represents the property 'address book port'.

### ADDRESS_BOOK_FILE

    public static final DominoKey ADDRESS_BOOK_FILE

  Key that represents the property 'address book file'.

### ALT_FROM

    public static final DominoKey ALT_FROM

  Key that represents the property 'alt from'.

### CS_VERSION

    public static final DominoKey CS_VERSION

  Key that represents the property 'cs version'.

### ADDRESS_BOOK_SERVER

    public static final DominoKey ADDRESS_BOOK_SERVER

  Key that represents the property 'address book server'.

### ADDRESS_BOOK_TITLE

    public static final DominoKey ADDRESS_BOOK_TITLE

  Key that represents the property 'address book title'.

### SEND_TO

    public static final DominoKey SEND_TO

  Key that represents the property 'send to'.

### COPY_TO

    public static final DominoKey COPY_TO

  Key that represents the property 'copy to'.

### BLIND_COPY_TO

    public static final DominoKey BLIND_COPY_TO

  Key that represents the property 'blind copy to'.

### DOCUMENT_TYPE

    public static final DominoKey DOCUMENT_TYPE

  Key that represents the property 'document type'.

### DOCUMENT_ID

    public static final DominoKey DOCUMENT_ID

  Key that represents the property 'document id'.

### PARENT_DOCUMENT_ID

    public static final DominoKey PARENT_DOCUMENT_ID

  Key that represents the property 'parent document id'.

### PARENT_FOLDER_ID

    public static final DominoKey PARENT_FOLDER_ID

  Key that represents the property 'parent folder id'.

### SUBJECT

    public static final DominoKey SUBJECT

  Key that represents the property 'subject'.

### SUBJECT_PREFIX

    public static final DominoKey SUBJECT_PREFIX

  Key that represents the property 'subject'.

### NORMALIZED_SUBJECT

    public static final DominoKey NORMALIZED_SUBJECT

  Key that represents the property 'subject'.

### ADJUSTED_SUBJECT

    public static final DominoKey ADJUSTED_SUBJECT

  Key that represents the property 'cz adjusted subject'.

### TOPIC

    public static final DominoKey TOPIC

  Key that represents the property 'topic'.

### DELIVERED_DATE

    public static final DominoKey DELIVERED_DATE

  Key that represents the property 'delivered date'.

### POSTED_DATE

    public static final DominoKey POSTED_DATE

  Key that represents the property 'posted date'.

### BUSY_NAME

    public static final DominoKey BUSY_NAME

  Key that represents the property 'busy name'.

### BUSY_PRIORITY

    public static final DominoKey BUSY_PRIORITY

  Key that represents the property 'busy priority'.

### COMPOSED_DATE

    public static final DominoKey COMPOSED_DATE

  Key that represents the property 'composed date'.

### LOGO

    public static final DominoKey LOGO

  Key that represents the property 'logo'.

### MEMO_DATE

    public static final DominoKey MEMO_DATE

  Key that represents the property 'memo date'.

### FAILURE_REASON

    public static final DominoKey FAILURE_REASON

  Key that represents the property 'failure reason'.

### DELIVERY_PRIORITY

    public static final DominoKey DELIVERY_PRIORITY

  Key that represents the property 'delivery priority'.

### DELIVERY_REPORT

    public static final DominoKey DELIVERY_REPORT

  Key that represents the property 'delivery report'.

### DELIVERY_DATE

    public static final DominoKey DELIVERY_DATE

  Key that represents the property 'delivery date'.

### IMPORTANCE

    public static final DominoKey IMPORTANCE

  Key that represents the property 'importance'.

### ORIGINAL_SUBJECT

    public static final DominoKey ORIGINAL_SUBJECT

  Key that represents the property 'original subject'.

### EXPAND_GROUPS

    public static final DominoKey EXPAND_GROUPS

  Key that represents the property 'expand groups'.

### ALARMS

    public static final DominoKey ALARMS

  Key that represents the property 'alarms'.

### SEQUENCE_NUM

    public static final DominoKey SEQUENCE_NUM

  Key that represents the property 'sequence number'.

### PUBLIC_ACCESS

    public static final DominoKey PUBLIC_ACCESS

  Key that represents the property 'public access'.

### INTENDED_RECIPIENT

    public static final DominoKey INTENDED_RECIPIENT

  Key that represents the property 'intended recipient'.

### RECIPIENT_INFO

    public static final DominoKey RECIPIENT_INFO

  Key that represents the property 'recipient info'.

### RETURN_RECEIPT

    public static final DominoKey RETURN_RECEIPT

  Key that represents the property 'return receipt'.

### BODY

    public static final DominoKey BODY

  Key that represents the property 'body'.

### BODY_HTML

    public static final DominoKey BODY_HTML

  Key that represents the property 'body html'.

### CZ_BODY_HTML

    public static final DominoKey CZ_BODY_HTML

  Key that represents the property Compoze 'body html' (for setting).

### BODY_STORED_FORM

    public static final DominoKey BODY_STORED_FORM

  Key that represents the property 'body stored form'.

### BROADCAST

    public static final DominoKey BROADCAST

  Key that represents the property 'broadcast'.

### DELEGEE

    public static final DominoKey DELEGEE

  Key that represents the property 'delegee'.

### REPEATS

    public static final DominoKey REPEATS

  Key that represents the property 'repeats'.

### ORG_REPEAT

    public static final DominoKey ORG_REPEAT

  Key that represents the property 'org repeat'.

### ALT_DELEGEE_NAME

    public static final DominoKey ALT_DELEGEE_NAME

  Key that represents the property 'alt delegee name'.

### PREVENT_DELEGATE

    public static final DominoKey PREVENT_DELEGATE

  Key that represents the property 'prevent delegate'.

### PREVENT_COUNTER

    public static final DominoKey PREVENT_COUNTER

  Key that represents the property 'prevent counter'.

### ATTACHMENT_COUNT

    public static final DominoKey ATTACHMENT_COUNT

  Key that represents the property 'attachment count'.

### HAS_ATTACHMENT

    public static final DominoKey HAS_ATTACHMENT

  Key that represents the property 'has attachment'.

### ATTACHMENT_INFO

    public static final DominoKey ATTACHMENT_INFO

  Key that represents the property 'attachment info'.

### STATUS_UPDATE

    public static final DominoKey STATUS_UPDATE

  Key that represents the property 'status update'.

### KEEP_POSTED

    public static final DominoKey KEEP_POSTED

  Key that represents the property 'keep posted'.

### EMBEDDED_IMAGE_COUNT

    public static final DominoKey EMBEDDED_IMAGE_COUNT

  Key that represents the property 'embedded image count'.

### EMBEDDED_IMAGE_INFO

    public static final DominoKey EMBEDDED_IMAGE_INFO

  Key that represents the property 'attachment info'.

### HEADER

    public static final DominoKey HEADER

  Key that represents the property 'header'.

### HEADER_HTML

    public static final DominoKey HEADER_HTML

  Key that represents the property 'header html'.

### FOOTER

    public static final DominoKey FOOTER

  Key that represents the property 'footer'.

### FOOTER_HTML

    public static final DominoKey FOOTER_HTML

  Key that represents the property 'footer html'.

### EMPLOYEE_ID

    public static final DominoKey EMPLOYEE_ID

  Key that represents the property 'employee ID'.

### OFFICE_NUMBER

    public static final DominoKey OFFICE_NUMBER

  Key that represents the property 'office number'.
  See Also:
    `PHONE_LABEL_1`

Constructor Detail

### DominoKey

    public DominoKey(java.lang.String sKey,
                     int iValueType,
                     int iKeyType)

  Constructor.
  Parameters:
    `sKey` - the key
    `iValueType` - the value type (one of the `VALUE_` constants)
    `iKeyType` - the key type (one of the `KEY_` constants)

### DominoKey

    public DominoKey(java.lang.String sKey,
                     int iValueType,
                     int iKeyType,
                     boolean bIsComposite)

  Constructor.
  Parameters:
    `sKey` - the key
    `iValueType` - the value type (one of the `VALUE_` constants)
    `iKeyType` - the key type (one of the `KEY_` constants)
    `bIsComposite` - if `true` the `Key` is for a composite field

Method Detail

### setKey

    public void setKey(java.lang.String sKey)

  Sets the key of the property.
  Parameters:
    `sKey` - the key

### getKey

    public java.lang.String getKey()

  Gets the key of the property.
  Returns:
    the key

### getValueType

    public int getValueType()

  Gets the type of a value for the property.
  Overrides:
    `getValueType` in class `Key`
  Returns:
    the value type (one of the `VALUE_` constants)

### getKeyType

    public int getKeyType()

  Gets the type of a key for the property.
  Returns:
    the key type (one of the `KEY_` constants)

### isArray

    public boolean isArray()

  Checks if the value type of the property is an array.
  Returns:
    `true` if the value of the property is an array; `false` otherwise

### isComposite

    public boolean isComposite()

  Checks if the value is stored as a composite value in Domino (affects how we can use the property in the provider implementation).
  Returns:
    `true` if the property has a composite value

### hashCode

    public int hashCode()

  Gets a hash code for the key.
  Overrides:
    `hashCode` in class `Key`
  Returns:
    a hash code of the key string

### equals

    public boolean equals(java.lang.Object o)

  Equals.
  Overrides:
    `equals` in class `Key`
  Parameters:
    `o` - the object to compare
  Returns:
    `true` if the keys are equal; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.